<?php
/**
 * Page view template.
 *
 * @package AMP
 */

/**
 * Context.
 *
 * @var AMP_Post_Template $this
 */

$this->load_parts(array('html-start'));
$this->load_parts(array('header'));
?>

<div id="bny-container">
	<div id="bny-primary">
		<main class="bny-main" role="main">
			<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				<header class="entry-header">
					<div class="post-thumbnail">
						<?php $this->load_parts(array('featured-image')); ?>
					</div><!-- .post-thumbnail -->
					<h1 class="amp-wp-title"><?php echo esc_html( $this->get( 'post_title' ) ); ?></h1>
				</header><!-- .entry-header -->
				<div class="entry-content">
					<?php echo $this->get('post_amp_content'); ?>
				</div><!-- .entry-content -->
				<footer class="entry-footer">
					<time class="published" datetime="<?php echo get_the_date() ?>">
						<i class="fa fa-clock-o"></i><?php _e('Publish on:', 'bonyo'); ?> <?php echo get_the_date(); ?>
					</time><!-- .published --><br />

					<?php if (get_the_date() != get_the_modified_date()) : ?>
						<time class="updated" datetime="<?php echo get_the_modified_date() ?>">
							<i class="fa fa-clock-o"></i><?php _e('Updated on:', 'bonyo'); ?> <?php echo get_the_modified_date() ?>
						</time><!-- .updated --><br />
					<?php endif; ?>

					<div class="metaauthor">
						<?php echo '<a href="' . get_author_posts_url(get_the_author_meta('ID')) . '" title="' . get_the_author() . '" class="vcard author">'. '<i class="fa fa-pencil"></i> <span class="fn">' . get_the_author() . '</span>' . '</a>'; ?>
					</div><!-- .metaauthor -->
				</footer><!-- .entry-footer -->
			</article><!-- #post-## -->
		</main><!-- .bny-main -->
	</div><!-- #bny-primary -->
	<aside id="bny-secondary" class="widget-area">
		<?php get_template_part('/amp/sidebar', 'amp'); ?>
	</aside><!-- #secondary -->
</div><!-- #bny-container -->

<?php 
$this->load_parts(array('footer'));
$this->load_parts(array('html-end'));
